* Encoding: UTF-8.
* set working directory.
* e.g., cd "/users/craig/desktop/workshop/examples/".
cd "your-examples-folder-filepath/".

* read stacked data.
data list free file = "13. model-based imputation/imps_stacked.dat"
  /imputation_ id male age edugroup workhrs exercise pain anxiety stress control interfere depress disability.
missing values all (999).
exe. 

* center focal predictor and compute product.
aggregate
  /break = imputation_
  /depressmean = mean(depress).
compute depressc = depress - depressmean.
compute product = depressc * male.
exe.  

* initiate pooling routines.
sort cases by imputation_.
split file layed by imputation_.

* analysis and pooling.
regression
  /descriptives mean stddev corr sig n
  /dependent disability
  /method enter depressc male product.